curl --request POST \
--url https://semgrep.dev/api/sms/v2/deployments/{deploymentId}/project_settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"projectIds": [
123,
456
]
}
'import requests
url = "https://semgrep.dev/api/sms/v2/deployments/{deploymentId}/project_settings"
payload = {
"deploymentId": 123,
"projectIds": [123, 456]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: 123, projectIds: [123, 456]})
};
fetch('https://semgrep.dev/api/sms/v2/deployments/{deploymentId}/project_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settingsByProject": [
{
"projectId": 456,
"project_managed_scan_settings": {
"diff_scan": {
"enabled": true
},
"full_scan": {
"enabled": true
}
}
}
]
}Bulk get many projects' Managed Scan settings
Finds the user-configurable Managed Scan settings for the specified projects. Projects without Managed Scans set up will have empty values.
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Body
Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.
123
Project IDs (numeric). Example: 123. Can be found at /deployments/{deployment_id}/projects/list, or in "Projects" in the web UI.
[123, 456]
Response
OK
The list of managed scan settings, grouped by project.
Show child attributes
Show child attributes
Was this page helpful?